LibreOffice: CoordinateSystem Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
CoordinateSystem Service Reference

`import"CoordinateSystem.idl";`

Inheritance diagram for CoordinateSystem:

## Exported Interfaces
interface | XCoordinateSystem
interface | com::sun::star::chart2::XChartTypeContainer
| a coordinate system can contain several chart types, which then do contain the data series. More...
interface | com::sun::star::util::XCloneable
| creates a new CoordinateSystem that contains the same members like the original object. More...

## Public Attributes
boolean | SwapXAndYAxis

## Additional Inherited Members
Public Member Functions inherited from XCoordinateSystem
long | getDimension ()
| the dimension of the coordinate-system. More...
string | getCoordinateSystemType ()
| identifies the type of coordinate system (e.g. More...
string | getViewServiceName ()
| return a service name from which the view component for this coordinate system can be created More...
void | setAxisByDimension ([in] long nDimension, [in] XAxis xAxis, [in] long nIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| The dimension says whether it is a x, y or z axis. More...
XAxis | getAxisByDimension ([in] long nDimension, [in] long nIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| The dimension says whether it is a x, y or z axis. More...
long | getMaximumAxisIndexByDimension ([in] long nDimension) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| In one dimension there could be several axes to enable main and secondary axis and maybe more in future. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChartTypeContainer
void | addChartType ([in] XChartType aChartType) raises ( com::sun::star::lang::IllegalArgumentException )
| add a chart type to the chart type container More...
void | removeChartType ([in] XChartType aChartType) raises ( com::sun::star::container::NoSuchElementException )
| removes one data series from the chart type container. More...
sequence< XChartType > | getChartTypes ()
| retrieve all chart types More...
void | setChartTypes ([in] sequence< XChartType > aChartTypes) raises ( com::sun::star::lang::IllegalArgumentException )
| set all chart types More...
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...

## Exported Interfaces

## ◆ com::sun::star::chart2::XChartTypeContainer

interface com::sun::star::chart2::XChartTypeContainer

a coordinate system can contain several chart types, which then do contain the data series.

## ◆ com::sun::star::util::XCloneable

interface com::sun::star::util::XCloneable
| optional

creates a new CoordinateSystem that contains the same members like the original object.

Note that the contained XScales are still the same objects, i.e. those are not cloned.

## ◆ XCoordinateSystem

interface XCoordinateSystem

## Member Data Documentation

## ◆ SwapXAndYAxis

boolean SwapXAndYAxis
| optionalproperty

The documentation for this service was generated from the following file:

- com/sun/star/chart2/CoordinateSystem.idl